Package org.eclipse.m2m.atl.profiler.exportmodel.presentation

## Class ExportmodelEditorPlugin.Implementation

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.emf.common.ui.EclipseUIPlugin
      - - org.eclipse.m2m.atl.profiler.exportmodel.presentation.ExportmodelEditorPlugin.Implementation

All Implemented Interfaces:
  `org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin`, `org.eclipse.emf.common.util.Logger`, `org.eclipse.emf.common.util.ResourceLocator`, `org.osgi.framework.BundleActivator`

Enclosing class:
  ExportmodelEditorPlugin

    public static class ExportmodelEditorPlugin.Implementation
    extends org.eclipse.emf.common.ui.EclipseUIPlugin

The actual implementation of the Eclipse Plugin.

### Field Summary

### Fields inherited from class org.eclipse.emf.common.ui.EclipseUIPlugin

`helper`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
`Implementation()` Creates an instance.

### Method Summary

### Methods inherited from class org.eclipse.emf.common.ui.EclipseUIPlugin

`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Implementation

    public Implementation()

Creates an instance.